Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.pbxuser
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.pbxuser	(revision 321)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.pbxuser	(revision 322)
@@ -1469,7 +7047,7 @@
 	E165AB3603E7A7FC00050002 /* ICeCoffEEAction.c */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {813, 3590}}";
-			sepNavSelRange = "{4776, 5}";
-			sepNavVisRect = "{{0, 1120}, {813, 453}}";
+			sepNavIntBoundsRect = "{{0, 0}, {711, 3700}}";
+			sepNavSelRange = "{4226, 0}";
+			sepNavVisRect = "{{0, 1064}, {711, 464}}";
 			sepNavWindowFrame = "{{779, 160}, {750, 502}}";
 		};
@@ -1555,5 +7133,5 @@
 		uiCtxt = {
 			sepNavIntBoundsRect = "{{0, 0}, {711, 737}}";
-			sepNavSelRange = "{290, 0}";
+			sepNavSelRange = "{323, 16}";
 			sepNavVisRect = "{{0, 0}, {711, 464}}";
 			sepNavWindowFrame = "{{84, 244}, {750, 502}}";
@@ -1571,7 +7149,7 @@
 		uiCtxt = {
 			sepNavIntBoundsRect = "{{0, 0}, {748, 704}}";
-			sepNavSelRange = "{1148, 0}";
+			sepNavSelRange = "{177, 0}";
 			sepNavVisRect = "{{0, 0}, {748, 605}}";
-			sepNavWindowFrame = "{{125, 42}, {787, 643}}";
+			sepNavWindowFrame = "{{902, 385}, {787, 643}}";
 		};
 	};
@@ -1603,7 +7181,7 @@
 		uiCtxt = {
 			sepNavIntBoundsRect = "{{0, 0}, {686, 622}}";
-			sepNavSelRange = "{806, 0}";
+			sepNavSelRange = "{266, 0}";
 			sepNavVisRect = "{{0, 0}, {686, 621}}";
-			sepNavWindowFrame = "{{630, 369}, {725, 659}}";
+			sepNavWindowFrame = "{{882, 66}, {725, 659}}";
 		};
 	};
@@ -1618,6 +7196,6 @@
 	E191FC9D0831B8FB003B09BC /* ICeCoffEEServices.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {802, 1815}}";
-			sepNavSelRange = "{209, 0}";
+			sepNavIntBoundsRect = "{{0, 0}, {802, 1826}}";
+			sepNavSelRange = "{898, 0}";
 			sepNavVisRect = "{{0, 0}, {802, 929}}";
 			sepNavWindowFrame = "{{484, 61}, {841, 967}}";
@@ -1653,7 +7231,7 @@
 		uiCtxt = {
 			sepNavIntBoundsRect = "{{0, 0}, {707, 474}}";
-			sepNavSelRange = "{535, 64}";
+			sepNavSelRange = "{439, 0}";
 			sepNavVisRect = "{{0, 0}, {707, 473}}";
-			sepNavWindowFrame = "{{884, 479}, {746, 511}}";
+			sepNavWindowFrame = "{{774, 26}, {746, 511}}";
 		};
 	};
@@ -1774,6 +7352,6 @@
 		uiCtxt = {
 			sepNavIntBoundsRect = "{{0, 0}, {828, 1375}}";
-			sepNavSelRange = "{2966, 0}";
-			sepNavVisRect = "{{0, 506}, {828, 868}}";
+			sepNavSelRange = "{727, 0}";
+			sepNavVisRect = "{{0, 0}, {828, 868}}";
 			sepNavWindowFrame = "{{834, 90}, {867, 906}}";
 		};
@@ -2000,5 +7578,5 @@
 		fRef = E14343B403DB4CF200050002 /* ICeCoffEE.m */;
 		rLen = 1;
-		rLoc = 481;
+		rLoc = 295;
 		rType = 1;
 	};
@@ -2008,8 +7586,8 @@
 		name = "ICeCoffEE.m: 482";
 		rLen = 0;
-		rLoc = 20477;
-		rType = 0;
-		vrLen = 3008;
-		vrLoc = 19251;
+		rLoc = 11910;
+		rType = 0;
+		vrLen = 0;
+		vrLoc = 18838;
 	};
 	E1C30A930C224B3A00EAE48A /* PBXTextBookmark */ = {
@@ -2018,5 +7596,5 @@
 		name = "ICeCoffEESetServicesMenu.m: 80";
 		rLen = 0;
-		rLoc = 3001;
+		rLoc = 3127;
 		rType = 0;
 		vrLen = 3462;
@@ -2038,5 +7616,5 @@
 		name = "ICeCoffEETerminal.m: 325";
 		rLen = 0;
-		rLoc = 11339;
+		rLoc = 11338;
 		rType = 0;
 		vrLen = 3009;
@@ -2128,5 +7706,5 @@
 		name = "ICeCoffEESetServicesMenu.m: 124";
 		rLen = 0;
-		rLoc = 4596;
+		rLoc = 4722;
 		rType = 0;
 		vrLen = 3269;
@@ -2138,8 +7716,8 @@
 		name = "ICeCoffEE.m: 482";
 		rLen = 0;
-		rLoc = 20477;
-		rType = 0;
-		vrLen = 3008;
-		vrLoc = 19251;
+		rLoc = 11910;
+		rType = 0;
+		vrLen = 0;
+		vrLoc = 18838;
 	};
 	E1C30AAC0C224B7700EAE48A /* PBXTextBookmark */ = {
@@ -2158,5 +7736,5 @@
 		name = "ICeCoffEETerminal.m: 325";
 		rLen = 0;
-		rLoc = 11339;
+		rLoc = 11338;
 		rType = 0;
 		vrLen = 3009;
@@ -2248,5 +7826,5 @@
 		name = "ICeCoffEESetServicesMenu.m: 122";
 		rLen = 0;
-		rLoc = 4596;
+		rLoc = 4722;
 		rType = 0;
 		vrLen = 3284;
@@ -2258,8 +7836,8 @@
 		name = "ICeCoffEE.m: 482";
 		rLen = 0;
-		rLoc = 20477;
-		rType = 0;
-		vrLen = 3008;
-		vrLoc = 19251;
+		rLoc = 11910;
+		rType = 0;
+		vrLen = 0;
+		vrLoc = 18838;
 	};
 	E1C30ABA0C224C1600EAE48A /* PBXTextBookmark */ = {
@@ -2278,5 +7856,5 @@
 		name = "ICeCoffEETerminal.m: 325";
 		rLen = 0;
-		rLoc = 11339;
+		rLoc = 11338;
 		rType = 0;
 		vrLen = 3009;
@@ -2368,5 +7946,5 @@
 		name = ICCF_GetServicesInfo;
 		rLen = 20;
-		rLoc = 1883;
+		rLoc = 2009;
 		rType = 0;
 		vrLen = 1529;
@@ -2377,5 +7955,5 @@
 		fRef = E14343B403DB4CF200050002 /* ICeCoffEE.m */;
 		rLen = 28;
-		rLoc = 22110;
+		rLoc = 13543;
 		rType = 0;
 	};
@@ -2385,5 +7963,5 @@
 		name = ICCF_GetServicesInfo;
 		rLen = 20;
-		rLoc = 1883;
+		rLoc = 2009;
 		rType = 0;
 		vrLen = 1529;
@@ -2395,8 +7973,8 @@
 		name = ICCF_ConsolidateServicesMenu;
 		rLen = 28;
-		rLoc = 22110;
-		rType = 0;
-		vrLen = 1427;
-		vrLoc = 21463;
+		rLoc = 13543;
+		rType = 0;
+		vrLen = 0;
+		vrLoc = 18838;
 	};
 	E1C30AE20C224DEB00EAE48A /* PBXTextBookmark */ = {
@@ -2425,8 +8003,8 @@
 		name = "[itemInfo objectForKey: (NSString *)kICServiceSubmenu]";
 		rLen = 54;
-		rLoc = 20423;
-		rType = 0;
-		vrLen = 2872;
-		vrLoc = 19883;
+		rLoc = 11856;
+		rType = 0;
+		vrLen = 0;
+		vrLoc = 18838;
 	};
 	E1C30AE50C224DEB00EAE48A /* PBXTextBookmark */ = {
@@ -2435,5 +8013,5 @@
 		name = "ICeCoffEETerminal.m: 325";
 		rLen = 0;
-		rLoc = 11339;
+		rLoc = 11338;
 		rType = 0;
 		vrLen = 3009;
@@ -2534,5 +8112,5 @@
 		fRef = E14343B403DB4CF200050002 /* ICeCoffEE.m */;
 		rLen = 28;
-		rLoc = 20326;
+		rLoc = 11759;
 		rType = 0;
 	};
@@ -2542,8 +8120,8 @@
 		name = ICCF_ConsolidateServicesMenu;
 		rLen = 28;
-		rLoc = 22110;
-		rType = 0;
-		vrLen = 1427;
-		vrLoc = 21463;
+		rLoc = 13543;
+		rType = 0;
+		vrLen = 0;
+		vrLoc = 18838;
 	};
 	E1C30AF60C224F7B00EAE48A /* PBXTextBookmark */ = {
@@ -2562,8 +8140,8 @@
 		name = ICCF_ConsolidateServicesMenu;
 		rLen = 28;
-		rLoc = 20326;
-		rType = 0;
-		vrLen = 1976;
-		vrLoc = 19380;
+		rLoc = 11759;
+		rType = 0;
+		vrLen = 0;
+		vrLoc = 18838;
 	};
 	E1C30AFD0C2255B100EAE48A /* PBXTextBookmark */ = {
@@ -2572,7 +8150,7 @@
 		name = ICCF_ConsolidateServicesMenu;
 		rLen = 28;
-		rLoc = 19392;
-		rType = 0;
-		vrLen = 3043;
+		rLoc = 10825;
+		rType = 0;
+		vrLen = 122;
 		vrLoc = 18716;
 	};
@@ -2582,5 +8160,5 @@
 		name = "ICeCoffEETerminal.m: 325";
 		rLen = 0;
-		rLoc = 11339;
+		rLoc = 11338;
 		rType = 0;
 		vrLen = 3009;
@@ -2714,7 +8292,7 @@
 		name = ICCF_ConsolidateServicesMenu;
 		rLen = 28;
-		rLoc = 19392;
-		rType = 0;
-		vrLen = 3043;
+		rLoc = 10825;
+		rType = 0;
+		vrLen = 122;
 		vrLoc = 18716;
 	};
@@ -2724,5 +8302,5 @@
 		name = "ICeCoffEETerminal.m: 325";
 		rLen = 0;
-		rLoc = 11339;
+		rLoc = 11338;
 		rType = 0;
 		vrLen = 3187;
@@ -2751,8 +8329,8 @@
 		name = ICCF_ConsolidateServicesMenu;
 		rLen = 28;
-		rLoc = 20326;
-		rType = 0;
-		vrLen = 1976;
-		vrLoc = 19380;
+		rLoc = 11759;
+		rType = 0;
+		vrLen = 0;
+		vrLoc = 18838;
 	};
 	E1C30B5C0C2369B000EAE48A /* PBXTextBookmark */ = {
@@ -2761,8 +8339,8 @@
 		name = ICCF_ConsolidateServicesMenu;
 		rLen = 28;
-		rLoc = 20326;
-		rType = 0;
-		vrLen = 1976;
-		vrLoc = 19380;
+		rLoc = 11759;
+		rType = 0;
+		vrLen = 0;
+		vrLoc = 18838;
 	};
 	E1C30B5D0C2369B000EAE48A /* PBXTextBookmark */ = {
@@ -2801,7 +8379,7 @@
 		name = ICCF_ConsolidateServicesMenu;
 		rLen = 28;
-		rLoc = 19392;
-		rType = 0;
-		vrLen = 3043;
+		rLoc = 10825;
+		rType = 0;
+		vrLen = 122;
 		vrLoc = 18716;
 	};
@@ -2811,5 +8389,5 @@
 		name = "ICeCoffEETerminal.m: 325";
 		rLen = 0;
-		rLoc = 11339;
+		rLoc = 11338;
 		rType = 0;
 		vrLen = 3187;
@@ -2871,7 +8449,7 @@
 		name = ICCF_ConsolidateServicesMenu;
 		rLen = 28;
-		rLoc = 19392;
-		rType = 0;
-		vrLen = 3043;
+		rLoc = 10825;
+		rType = 0;
+		vrLen = 122;
 		vrLoc = 18716;
 	};
@@ -2881,5 +8459,5 @@
 		name = "ICeCoffEETerminal.m: 325";
 		rLen = 0;
-		rLoc = 11339;
+		rLoc = 11338;
 		rType = 0;
 		vrLen = 3187;
@@ -2921,7 +8499,7 @@
 		name = ICCF_ConsolidateServicesMenu;
 		rLen = 28;
-		rLoc = 19392;
-		rType = 0;
-		vrLen = 3043;
+		rLoc = 10825;
+		rType = 0;
+		vrLen = 122;
 		vrLoc = 18716;
 	};
@@ -2931,5 +8509,5 @@
 		name = "ICeCoffEETerminal.m: 325";
 		rLen = 0;
-		rLoc = 11339;
+		rLoc = 11338;
 		rType = 0;
 		vrLen = 3187;
@@ -2981,7 +8559,7 @@
 		name = ICCF_ConsolidateServicesMenu;
 		rLen = 28;
-		rLoc = 19392;
-		rType = 0;
-		vrLen = 3043;
+		rLoc = 10825;
+		rType = 0;
+		vrLen = 122;
 		vrLoc = 18716;
 	};
@@ -2991,5 +8569,5 @@
 		name = "ICeCoffEETerminal.m: 325";
 		rLen = 0;
-		rLoc = 11339;
+		rLoc = 11338;
 		rType = 0;
 		vrLen = 3187;
@@ -3021,7 +8599,7 @@
 		name = ICCF_ConsolidateServicesMenu;
 		rLen = 28;
-		rLoc = 19392;
-		rType = 0;
-		vrLen = 3043;
+		rLoc = 10825;
+		rType = 0;
+		vrLen = 122;
 		vrLoc = 18716;
 	};
@@ -3031,5 +8609,5 @@
 		name = "ICeCoffEETerminal.m: 325";
 		rLen = 0;
-		rLoc = 11339;
+		rLoc = 11338;
 		rType = 0;
 		vrLen = 3187;
@@ -3098,7 +8676,7 @@
 		name = ICCF_ConsolidateServicesMenu;
 		rLen = 28;
-		rLoc = 19392;
-		rType = 0;
-		vrLen = 3043;
+		rLoc = 10825;
+		rType = 0;
+		vrLen = 122;
 		vrLoc = 18716;
 	};
@@ -3108,5 +8686,5 @@
 		name = "ICeCoffEETerminal.m: 325";
 		rLen = 0;
-		rLoc = 11339;
+		rLoc = 11338;
 		rType = 0;
 		vrLen = 3187;
@@ -3128,7 +8706,7 @@
 		name = ICCF_ConsolidateServicesMenu;
 		rLen = 28;
-		rLoc = 19392;
-		rType = 0;
-		vrLen = 3043;
+		rLoc = 10825;
+		rType = 0;
+		vrLen = 122;
 		vrLoc = 18716;
 	};
@@ -3138,5 +8716,5 @@
 		name = "ICeCoffEETerminal.m: 325";
 		rLen = 0;
-		rLoc = 11339;
+		rLoc = 11338;
 		rType = 0;
 		vrLen = 3187;
@@ -3172,7 +8750,7 @@
 		name = ICCF_ConsolidateServicesMenu;
 		rLen = 28;
-		rLoc = 19392;
-		rType = 0;
-		vrLen = 3043;
+		rLoc = 10825;
+		rType = 0;
+		vrLen = 122;
 		vrLoc = 18716;
 	};
@@ -3182,5 +8760,5 @@
 		name = "ICeCoffEETerminal.m: 325";
 		rLen = 0;
-		rLoc = 11339;
+		rLoc = 11338;
 		rType = 0;
 		vrLen = 3187;
@@ -3202,7 +8780,7 @@
 		name = ICCF_ConsolidateServicesMenu;
 		rLen = 28;
-		rLoc = 19392;
-		rType = 0;
-		vrLen = 3043;
+		rLoc = 10825;
+		rType = 0;
+		vrLen = 122;
 		vrLoc = 18716;
 	};
@@ -3212,5 +8790,5 @@
 		name = "ICeCoffEETerminal.m: 325";
 		rLen = 0;
-		rLoc = 11339;
+		rLoc = 11338;
 		rType = 0;
 		vrLen = 3187;
@@ -3261,7 +8839,7 @@
 		name = ICCF_ConsolidateServicesMenu;
 		rLen = 28;
-		rLoc = 19392;
-		rType = 0;
-		vrLen = 3043;
+		rLoc = 10825;
+		rType = 0;
+		vrLen = 122;
 		vrLoc = 18716;
 	};
@@ -3271,5 +8849,5 @@
 		name = "ICeCoffEETerminal.m: 325";
 		rLen = 0;
-		rLoc = 11339;
+		rLoc = 11338;
 		rType = 0;
 		vrLen = 3187;
@@ -3301,7 +8879,7 @@
 		name = ICCF_ConsolidateServicesMenu;
 		rLen = 28;
-		rLoc = 19392;
-		rType = 0;
-		vrLen = 3043;
+		rLoc = 10825;
+		rType = 0;
+		vrLen = 122;
 		vrLoc = 18716;
 	};
@@ -3311,5 +8889,5 @@
 		name = "ICeCoffEETerminal.m: 325";
 		rLen = 0;
-		rLoc = 11339;
+		rLoc = 11338;
 		rType = 0;
 		vrLen = 3187;
@@ -3351,7 +8929,7 @@
 		name = ICCF_ConsolidateServicesMenu;
 		rLen = 28;
-		rLoc = 19392;
-		rType = 0;
-		vrLen = 3043;
+		rLoc = 10825;
+		rType = 0;
+		vrLen = 122;
 		vrLoc = 18716;
 	};
@@ -3361,5 +8939,5 @@
 		name = "ICeCoffEETerminal.m: 325";
 		rLen = 0;
-		rLoc = 11339;
+		rLoc = 11338;
 		rType = 0;
 		vrLen = 3187;
@@ -3396,10 +8974,4 @@
 		path = /Developer/SDKs/MacOSX10.4u.sdk/System/Library/Frameworks/AppKit.framework/Versions/C/Headers/NSColor.h;
 		sourceTree = "<absolute>";
-		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {733, 4026}}";
-			sepNavSelRange = "{5173, 52}";
-			sepNavVisRect = "{{0, 881}, {733, 778}}";
-			sepNavWindowFrame = "{{84, 144}, {772, 816}}";
-		};
 	};
 	E1C30BF10C23726D00EAE48A /* PBXTextBookmark */ = {
@@ -3415,4 +8987,5 @@
 	E1C30BF20C23726D00EAE48A /* NSColor.h */ = {
 		isa = PBXFileReference;
+		lastKnownFileType = sourcecode.c.h;
 		name = NSColor.h;
 		path = /Developer/SDKs/MacOSX10.4u.sdk/System/Library/Frameworks/AppKit.framework/Versions/C/Headers/NSColor.h;
@@ -3426,5 +8999,5 @@
 		rLoc = 386;
 		rType = 0;
-		vrLen = 416;
+		vrLen = 399;
 		vrLoc = 0;
 	};
@@ -3444,7 +9017,7 @@
 		name = ICCF_ConsolidateServicesMenu;
 		rLen = 28;
-		rLoc = 19392;
-		rType = 0;
-		vrLen = 3043;
+		rLoc = 10825;
+		rType = 0;
+		vrLen = 122;
 		vrLoc = 18716;
 	};
@@ -3454,5 +9027,5 @@
 		name = "ICeCoffEETerminal.m: 325";
 		rLen = 0;
-		rLoc = 11339;
+		rLoc = 11338;
 		rType = 0;
 		vrLen = 3187;
@@ -3521,12 +9094,8 @@
 	E1C30C080C23727600EAE48A /* InfoPlist.strings */ = {
 		isa = PBXFileReference;
+		lastKnownFileType = text.plist.strings;
 		name = InfoPlist.strings;
 		path = "/Users/nicholas/Documents/Development/ICeCoffEE/ICeCoffEE/Installer components/ui/UI_SCRInstall.plugin/Contents/Resources/English.lproj/InfoPlist.strings";
 		sourceTree = "<absolute>";
-		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {813, 376}}";
-			sepNavSelRange = "{77, 24}";
-			sepNavVisRect = "{{0, 0}, {813, 376}}";
-		};
 	};
 	E1C30C0A0C23728B00EAE48A /* PBXTextBookmark */ = {
@@ -3545,7 +9114,7 @@
 		name = ICCF_ConsolidateServicesMenu;
 		rLen = 28;
-		rLoc = 19392;
-		rType = 0;
-		vrLen = 3043;
+		rLoc = 10825;
+		rType = 0;
+		vrLen = 122;
 		vrLoc = 18716;
 	};
@@ -3555,5 +9124,5 @@
 		name = "ICeCoffEETerminal.m: 325";
 		rLen = 0;
-		rLoc = 11339;
+		rLoc = 11338;
 		rType = 0;
 		vrLen = 3187;
@@ -3604,5 +9173,5 @@
 		rLoc = 386;
 		rType = 0;
-		vrLen = 416;
+		vrLen = 399;
 		vrLoc = 0;
 	};
@@ -3620,10 +9189,4 @@
 		path = /Developer/SDKs/MacOSX10.4u.sdk/System/Library/Frameworks/AppKit.framework/Versions/C/Headers/NSCell.h;
 		sourceTree = "<absolute>";
-		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {733, 3575}}";
-			sepNavSelRange = "{7164, 23}";
-			sepNavVisRect = "{{0, 2104}, {733, 778}}";
-			sepNavWindowFrame = "{{107, 123}, {772, 816}}";
-		};
 	};
 	E1C30C180C2372E400EAE48A /* PBXTextBookmark */ = {
@@ -3639,4 +9202,5 @@
 	E1C30C190C2372E400EAE48A /* NSCell.h */ = {
 		isa = PBXFileReference;
+		lastKnownFileType = sourcecode.c.h;
 		name = NSCell.h;
 		path = /Developer/SDKs/MacOSX10.4u.sdk/System/Library/Frameworks/AppKit.framework/Versions/C/Headers/NSCell.h;
@@ -3650,5 +9214,5 @@
 		rLoc = 302;
 		rType = 0;
-		vrLen = 416;
+		vrLen = 399;
 		vrLoc = 0;
 	};
@@ -3668,7 +9232,7 @@
 		name = ICCF_ConsolidateServicesMenu;
 		rLen = 28;
-		rLoc = 19392;
-		rType = 0;
-		vrLen = 3043;
+		rLoc = 10825;
+		rType = 0;
+		vrLen = 122;
 		vrLoc = 18716;
 	};
@@ -3678,5 +9242,5 @@
 		name = "ICeCoffEETerminal.m: 325";
 		rLen = 0;
-		rLoc = 11339;
+		rLoc = 11338;
 		rType = 0;
 		vrLen = 3187;
@@ -3725,7 +9289,7 @@
 		name = ICCF_ConsolidateServicesMenu;
 		rLen = 28;
-		rLoc = 19392;
-		rType = 0;
-		vrLen = 3043;
+		rLoc = 10825;
+		rType = 0;
+		vrLen = 122;
 		vrLoc = 18716;
 	};
@@ -3735,5 +9299,5 @@
 		name = "ICeCoffEETerminal.m: 325";
 		rLen = 0;
-		rLoc = 11339;
+		rLoc = 11338;
 		rType = 0;
 		vrLen = 3187;
@@ -3805,7 +9369,7 @@
 		name = ICCF_ConsolidateServicesMenu;
 		rLen = 28;
-		rLoc = 19392;
-		rType = 0;
-		vrLen = 3043;
+		rLoc = 10825;
+		rType = 0;
+		vrLen = 122;
 		vrLoc = 18716;
 	};
@@ -3815,5 +9379,5 @@
 		name = "ICeCoffEETerminal.m: 325";
 		rLen = 0;
-		rLoc = 11339;
+		rLoc = 11338;
 		rType = 0;
 		vrLen = 3187;
@@ -3865,7 +9429,7 @@
 		name = ICCF_ConsolidateServicesMenu;
 		rLen = 28;
-		rLoc = 19392;
-		rType = 0;
-		vrLen = 3043;
+		rLoc = 10825;
+		rType = 0;
+		vrLen = 122;
 		vrLoc = 18716;
 	};
@@ -3875,5 +9439,5 @@
 		name = "ICeCoffEETerminal.m: 325";
 		rLen = 0;
-		rLoc = 11339;
+		rLoc = 11338;
 		rType = 0;
 		vrLen = 3187;
@@ -3891,4 +9455,323 @@
 	};
 	E1C30C450C23752F00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E12FEC3F04959F5A00AEFBF9 /* ICeCoffEENonHighlightingTextFieldCell.m */;
+		name = "ICeCoffEENonHighlightingTextFieldCell.m: 16";
+		rLen = 0;
+		rLoc = 389;
+		rType = 0;
+		vrLen = 399;
+		vrLoc = 0;
+	};
+	E1C30C460C23772F00EAE48A /* PBXBookmark */ = {
+		isa = PBXBookmark;
+		fRef = F56276C20379923401AA4DA5 /* English */;
+		name = "APEInfo.rtfd (English)";
+	};
+	E1C30C490C23773000EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F56276C20379923401AA4DA5 /* English */;
+		name = "English: 7";
+		rLen = 0;
+		rLoc = 265;
+		rType = 0;
+		vrLen = 1541;
+		vrLoc = 0;
+	};
+	E1C30C4A0C23773000EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1BF166A03DBE27000050002 /* ICeCoffEEWebKit.m */;
+		name = "ICeCoffEEWebKit.m: 17";
+		rLen = 0;
+		rLoc = 498;
+		rType = 0;
+		vrLen = 2609;
+		vrLoc = 0;
+	};
+	E1C30C4B0C23773000EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ABAEB80812F4B2007C5427 /* Info-APE Module.plist */;
+		name = "ICeCoffEE ${CURRENT_MARKETING_VERSION}, © 2002-07 Nicholas Riley";
+		rLen = 64;
+		rLoc = 535;
+		rType = 0;
+		vrLen = 1131;
+		vrLoc = 0;
+	};
+	E1C30C4C0C23773000EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E14343B403DB4CF200050002 /* ICeCoffEE.m */;
+		name = ICCF_ConsolidateServicesMenu;
+		rLen = 28;
+		rLoc = 10825;
+		rType = 0;
+		vrLen = 122;
+		vrLoc = 18716;
+	};
+	E1C30C4D0C23773000EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1317B2F03DFC4DE00050002 /* ICeCoffEETerminal.m */;
+		name = "ICeCoffEETerminal.m: 325";
+		rLen = 0;
+		rLoc = 11338;
+		rType = 0;
+		vrLen = 3187;
+		vrLoc = 9685;
+	};
+	E1C30C4E0C23773000EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E12FEC3F04959F5A00AEFBF9 /* ICeCoffEENonHighlightingTextFieldCell.m */;
+		name = "ICeCoffEENonHighlightingTextFieldCell.m: 16";
+		rLen = 0;
+		rLoc = 389;
+		rType = 0;
+		vrLen = 399;
+		vrLoc = 0;
+	};
+	E1C30C590C237A8C00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1BF166A03DBE27000050002 /* ICeCoffEEWebKit.m */;
+		name = "ICeCoffEEWebKit.m: 93";
+		rLen = 0;
+		rLoc = 3266;
+		rType = 0;
+		vrLen = 2609;
+		vrLoc = 0;
+	};
+	E1C30C5A0C237A8C00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1BF166A03DBE27000050002 /* ICeCoffEEWebKit.m */;
+		name = "ICeCoffEEWebKit.m: selectedString";
+		rLen = 0;
+		rLoc = 727;
+		rType = 0;
+		vrLen = 2609;
+		vrLoc = 0;
+	};
+	E1C30C5B0C237A8C00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1317B2F03DFC4DE00050002 /* ICeCoffEETerminal.m */;
+		name = "ICeCoffEETerminal.m: 325";
+		rLen = 0;
+		rLoc = 11338;
+		rType = 0;
+		vrLen = 3187;
+		vrLoc = 9685;
+	};
+	E1C30C5C0C237A8C00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1317B2F03DFC4DE00050002 /* ICeCoffEETerminal.m */;
+		name = "ICeCoffEETerminal.m: 325";
+		rLen = 0;
+		rLoc = 11338;
+		rType = 0;
+		vrLen = 2307;
+		vrLoc = 1719;
+	};
+	E1C30C5D0C237A8C00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F56276C20379923401AA4DA5 /* English */;
+		name = "English: 7";
+		rLen = 0;
+		rLoc = 265;
+		rType = 0;
+		vrLen = 1541;
+		vrLoc = 0;
+	};
+	E1C30C5E0C237A8C00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ABAEB80812F4B2007C5427 /* Info-APE Module.plist */;
+		name = "ICeCoffEE ${CURRENT_MARKETING_VERSION}, © 2002-07 Nicholas Riley";
+		rLen = 64;
+		rLoc = 535;
+		rType = 0;
+		vrLen = 1131;
+		vrLoc = 0;
+	};
+	E1C30C5F0C237A8C00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E12FEC3F04959F5A00AEFBF9 /* ICeCoffEENonHighlightingTextFieldCell.m */;
+		name = "ICeCoffEENonHighlightingTextFieldCell.m: 16";
+		rLen = 0;
+		rLoc = 389;
+		rType = 0;
+		vrLen = 399;
+		vrLoc = 0;
+	};
+	E1C30C600C24D06200EAE48A /* PBXBookmark */ = {
+		isa = PBXBookmark;
+		fRef = E14343B403DB4CF200050002 /* ICeCoffEE.m */;
+	};
+	E1C30C650C24D0D400EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E14343B403DB4CF200050002 /* ICeCoffEE.m */;
+		name = "ICeCoffEE.m: 87";
+		rLen = 0;
+		rLoc = 4556;
+		rType = 0;
+		vrLen = 2564;
+		vrLoc = 1564;
+	};
+	E1C30C660C24D0D400EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1BF166A03DBE27000050002 /* ICeCoffEEWebKit.m */;
+		name = "ICeCoffEEWebKit.m: selectedString";
+		rLen = 0;
+		rLoc = 727;
+		rType = 0;
+		vrLen = 2609;
+		vrLoc = 0;
+	};
+	E1C30C670C24D0D400EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1317B2F03DFC4DE00050002 /* ICeCoffEETerminal.m */;
+		name = "ICeCoffEETerminal.m: 325";
+		rLen = 0;
+		rLoc = 11338;
+		rType = 0;
+		vrLen = 2306;
+		vrLoc = 1719;
+	};
+	E1C30C680C24D0D400EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F56276C20379923401AA4DA5 /* English */;
+		name = "English: 7";
+		rLen = 0;
+		rLoc = 265;
+		rType = 0;
+		vrLen = 1541;
+		vrLoc = 0;
+	};
+	E1C30C690C24D0D400EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ABAEB80812F4B2007C5427 /* Info-APE Module.plist */;
+		name = "ICeCoffEE ${CURRENT_MARKETING_VERSION}, © 2002-07 Nicholas Riley";
+		rLen = 64;
+		rLoc = 535;
+		rType = 0;
+		vrLen = 1131;
+		vrLoc = 0;
+	};
+	E1C30C6A0C24D0D400EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E12FEC3F04959F5A00AEFBF9 /* ICeCoffEENonHighlightingTextFieldCell.m */;
+		name = "ICeCoffEENonHighlightingTextFieldCell.m: 16";
+		rLen = 0;
+		rLoc = 389;
+		rType = 0;
+		vrLen = 399;
+		vrLoc = 0;
+	};
+	E1C30C6D0C24D30A00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E14343B403DB4CF200050002 /* ICeCoffEE.m */;
+		name = "ICeCoffEE.m: 87";
+		rLen = 0;
+		rLoc = 4556;
+		rType = 0;
+		vrLen = 2583;
+		vrLoc = 1564;
+	};
+	E1C30C6E0C24D30A00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1BF166A03DBE27000050002 /* ICeCoffEEWebKit.m */;
+		name = "ICeCoffEEWebKit.m: selectedString";
+		rLen = 0;
+		rLoc = 727;
+		rType = 0;
+		vrLen = 2609;
+		vrLoc = 0;
+	};
+	E1C30C6F0C24D30A00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1317B2F03DFC4DE00050002 /* ICeCoffEETerminal.m */;
+		name = "ICeCoffEETerminal.m: 325";
+		rLen = 0;
+		rLoc = 11338;
+		rType = 0;
+		vrLen = 2306;
+		vrLoc = 1719;
+	};
+	E1C30C700C24D30A00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F56276C20379923401AA4DA5 /* English */;
+		name = "English: 7";
+		rLen = 0;
+		rLoc = 265;
+		rType = 0;
+		vrLen = 1541;
+		vrLoc = 0;
+	};
+	E1C30C710C24D30A00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ABAEB80812F4B2007C5427 /* Info-APE Module.plist */;
+		name = "ICeCoffEE ${CURRENT_MARKETING_VERSION}, © 2002-07 Nicholas Riley";
+		rLen = 64;
+		rLoc = 535;
+		rType = 0;
+		vrLen = 1131;
+		vrLoc = 0;
+	};
+	E1C30C720C24D30A00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E12FEC3F04959F5A00AEFBF9 /* ICeCoffEENonHighlightingTextFieldCell.m */;
+		name = "ICeCoffEENonHighlightingTextFieldCell.m: 16";
+		rLen = 0;
+		rLoc = 389;
+		rType = 0;
+		vrLen = 399;
+		vrLoc = 0;
+	};
+	E1C30C800C24FA5000EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1317B2F03DFC4DE00050002 /* ICeCoffEETerminal.m */;
+		name = "ICeCoffEETerminal.m: 325";
+		rLen = 0;
+		rLoc = 11338;
+		rType = 0;
+		vrLen = 2306;
+		vrLoc = 1719;
+	};
+	E1C30C810C24FA5000EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E14343B403DB4CF200050002 /* ICeCoffEE.m */;
+		name = "ICeCoffEE.m: 87";
+		rLen = 0;
+		rLoc = 4556;
+		rType = 0;
+		vrLen = 2661;
+		vrLoc = 1903;
+	};
+	E1C30C820C24FA5000EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1BF166A03DBE27000050002 /* ICeCoffEEWebKit.m */;
+		name = "ICeCoffEEWebKit.m: selectedString";
+		rLen = 0;
+		rLoc = 727;
+		rType = 0;
+		vrLen = 2609;
+		vrLoc = 0;
+	};
+	E1C30C830C24FA5000EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F56276C20379923401AA4DA5 /* English */;
+		name = "English: 7";
+		rLen = 0;
+		rLoc = 265;
+		rType = 0;
+		vrLen = 1541;
+		vrLoc = 0;
+	};
+	E1C30C840C24FA5000EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ABAEB80812F4B2007C5427 /* Info-APE Module.plist */;
+		name = "ICeCoffEE ${CURRENT_MARKETING_VERSION}, © 2002-07 Nicholas Riley";
+		rLen = 64;
+		rLoc = 535;
+		rType = 0;
+		vrLen = 1131;
+		vrLoc = 0;
+	};
+	E1C30C850C24FA5000EAE48A /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
 		fRef = E12FEC3F04959F5A00AEFBF9 /* ICeCoffEENonHighlightingTextFieldCell.m */;
@@ -3921,10 +9804,4 @@
 		path = /System/Library/Frameworks/WebKit.framework/Versions/A/Headers/WebView.h;
 		sourceTree = "<absolute>";
-		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {733, 9152}}";
-			sepNavSelRange = "{20429, 0}";
-			sepNavVisRect = "{{0, 5765}, {733, 778}}";
-			sepNavWindowFrame = "{{293, 207}, {772, 816}}";
-		};
 	};
 	E1ED52990C1F094B0038715E /* PBXTextBookmark */ = {
@@ -3941,10 +9818,4 @@
 		path = /System/Library/Frameworks/WebKit.framework/Versions/A/Headers/DOMNode.h;
 		sourceTree = "<absolute>";
-		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {733, 968}}";
-			sepNavSelRange = "{3238, 0}";
-			sepNavVisRect = "{{0, 189}, {733, 778}}";
-			sepNavWindowFrame = "{{153, 81}, {772, 816}}";
-		};
 	};
 	E1ED529F0C1F094B0038715E /* PBXTextBookmark */ = {
@@ -3961,10 +9832,4 @@
 		path = /Volumes/GrayExtra/Extra/WebKit/WebKit/WebView/WebHTMLViewPrivate.h;
 		sourceTree = "<absolute>";
-		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {733, 1452}}";
-			sepNavSelRange = "{0, 0}";
-			sepNavVisRect = "{{0, 0}, {733, 778}}";
-			sepNavWindowFrame = "{{84, 144}, {772, 816}}";
-		};
 	};
 	E1ED52A50C1F094B0038715E /* PBXTextBookmark */ = {
@@ -3981,10 +9846,4 @@
 		path = /Volumes/GrayExtra/Extra/WebKit/WebKit/WebView/WebFrameViewInternal.h;
 		sourceTree = "<absolute>";
-		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {733, 779}}";
-			sepNavSelRange = "{0, 0}";
-			sepNavVisRect = "{{0, 0}, {733, 778}}";
-			sepNavWindowFrame = "{{91, 95}, {772, 816}}";
-		};
 	};
 	E1ED52C00C1F0C780038715E /* PBXTextBookmark */ = {
@@ -4001,10 +9860,4 @@
 		path = /Volumes/GrayExtra/Extra/WebKit/WebKit/WebView/WebDocument.h;
 		sourceTree = "<absolute>";
-		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {733, 2321}}";
-			sepNavSelRange = "{4005, 15}";
-			sepNavVisRect = "{{0, 1023}, {733, 778}}";
-			sepNavWindowFrame = "{{38, 186}, {772, 816}}";
-		};
 	};
 	E1ED52C60C1F0C780038715E /* PBXTextBookmark */ = {
@@ -4021,10 +9874,4 @@
 		path = /Volumes/GrayExtra/Extra/WebKit/WebKit/WebView/WebHTMLView.mm;
 		sourceTree = "<absolute>";
-		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {733, 69388}}";
-			sepNavSelRange = "{200883, 14}";
-			sepNavVisRect = "{{0, 62051}, {733, 778}}";
-			sepNavWindowFrame = "{{95, 212}, {772, 816}}";
-		};
 	};
 	E1ED53110C1F17270038715E /* PBXTextBookmark */ = {
@@ -4041,10 +9888,4 @@
 		path = /Volumes/GrayExtra/Extra/WebKit/WebKit/WebCoreSupport/WebFrameBridge.h;
 		sourceTree = "<absolute>";
-		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {733, 779}}";
-			sepNavSelRange = "{1896, 0}";
-			sepNavVisRect = "{{0, 0}, {733, 778}}";
-			sepNavWindowFrame = "{{107, 123}, {772, 816}}";
-		};
 	};
 	E1ED531B0C1F635A0038715E /* PBXTextBookmark */ = {
@@ -4216,6 +10057,6 @@
 		uiCtxt = {
 			sepNavIntBoundsRect = "{{0, 0}, {813, 3470}}";
-			sepNavSelRange = "{3661, 3}";
-			sepNavVisRect = "{{0, 1011}, {813, 376}}";
+			sepNavSelRange = "{2139, 11}";
+			sepNavVisRect = "{{0, 566}, {813, 376}}";
 			sepNavWindowFrame = "{{370, 313}, {752, 654}}";
 		};
